import request from '@/utils/request'

export function listContacts(params) {
  return request({
    url: '/backend/crm/contact/list',
    method: 'get',
    params,
  })
}

export function createContact(data) {
  return request({
    url: '/backend/crm/contact/add',
    method: 'post',
    data,
  })
}

export function updateContact(data) {
  return request({
    url: '/backend/crm/contact/edit',
    method: 'post',
    data,
  })
}

export function deleteContact(data) {
  return request({
    url: '/backend/crm/contact/delete',
    method: 'post',
    data,
  })
}
